Subject: bug#6192: 24.0.50; eldoc-mode: unexpected recentering

From: Lennart Borgman <[email-masked]>
Date: Mon, 17 May 2010 20:02:22 +0200

On Mon, May 17, 2010 at 7:53 PM, Eli Zaretskii <[email-masked]> wrote:
>
> When Emacs recenters, that means it exhausted all the other available
> redisplay optimizations, and fell back on its default method of
> completely redrawing a window.
>
> What you want is an optimization that does not yet exist, AFAIK.  It
> needs to be designed and coded.  The tricky part is to detect the
> situation where the amount of scrolling can be easily computed in
> advance, and do that computation without too many complications.  You
> seem to think that this computation is easy, but that is only true
> when the display shows characters of the same size everywhere.  In the
> more general case, what do we do? still recenter?

Would it be possible to try 1 line scrolling first, then 2 etc? Or is
there something in the code that prevents that?